#ifndef LIGHTING_H
#define LIGHTING_H

#include "../common/structs.h"

double get_shadow(int l_num, intersect_data *id);
double pointlight(int light_num, intersect_data *id);
double spherelight(int light_num, intersect_data *id);
double spotlight(int light_num, intersect_data *id);
double pointlight_fast(int light_num, intersect_data *id, vector *lightV);

#endif
